
QGIS Application - Bug report #9870

Processing - "List unique values" NameError: global name 'vector' is not defined

2014-03-25 06:47 AM - Anita Graser

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18397

Description

Just trying to run it:

Uncaught error while executing algorithm

Traceback (most recent call last):

Traceback (most recent call last):

  File "C:/Users/Anita/.qgis2/python/plugins\\processing\\core\\GeoAlgorithm.py", line 202, in execute

    self.processAlgorithm(progress)

  File "C:/Users/Anita/.qgis2/python/plugins\\processing\\algs\\ftools\\UniqueValues.py", line 67, in processAlgorithm

    values = vector.getUniqueValues(layer, layer.fieldNameIndex(fieldName))

NameError: global name 'vector' is not defined

Associated revisions

Revision c69f2e11 - 2014-03-25 02:55 PM - Alexander Bruy

[processing] fix Unique values tool (fix #9870)

History

#1 - 2014-03-25 06:55 AM - Alexander Bruy

- Status changed from Open to Closed

Fixed in changeset commit:"c69f2e1153b8db6d763c48158fc9395c0871f74f".

#2 - 2015-06-07 04:30 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core
